Announcement

Collapse
No announcement yet.

Samba 4.10 RC1 Released: Adds Offline Domain Backups, Now Defaults To Python 3

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Samba 4.10 RC1 Released: Adds Offline Domain Backups, Now Defaults To Python 3

    Phoronix: Samba 4.10 RC1 Released: Adds Offline Domain Backups, Now Defaults To Python 3

    Samba 4.10 release candidate 1 was announced today as the open-source SMB implementation with support for Windows Server and Active Directory domains...

    http://www.phoronix.com/scan.php?pag...0-RC1-Released

  • #2
    It's a shame that routers still default to Samba 3.6.

    Comment


    • #3
      Originally posted by patrakov View Post
      It's a shame that routers still default to Samba 3.6.
      Openwrt does have newer packages

      Comment


      • #4
        Originally posted by Wilfred View Post
        Openwrt does have newer packages
        Yes, but only in snapshot builds.

        Comment


        • #5
          Originally posted by patrakov View Post
          Yes, but only in snapshot builds.
          Unless something strange happens, it should be in next stable release, 19.something

          Comment


          • #6
            I think this is the last big ticket thing on my system that requires python2 - the rest I think are only there because they're dependencies of Samba

            Comment


            • #7
              Originally posted by FireBurn View Post
              I think this is the last big ticket thing on my system that requires python2 - the rest I think are only there because they're dependencies of Samba
              Yeah, but it probably shouldn't contain Python at all, right? 'Cause the general consensus here at Phoronix is that Python sucks.

              Comment


              • #8
                Originally posted by patrakov View Post

                Yes, but only in snapshot builds.
                Yeah i did not feel like officially backport it to 18.06.1, but the 4.9 package can be build against the 18.x SDK via my package builder (https://github.com/Andy2244/openwrt-package-builder).

                I'm also not fully happy with the current luci design, but reworking it fully takes too much time atm.

                PS: Currently i try to switch from external MIT-Kerberos to internal Heimdal.
                Last edited by andy22; 01-16-2019, 01:17 PM.

                Comment


                • #9
                  Originally posted by Vistaus View Post
                  Yeah, but it probably shouldn't contain Python at all, right? 'Cause the general consensus here at Phoronix is that Python sucks.
                  Yeah, that's one of the reasons Samba is a pig with CPU load (relevant only for embedded devices admittedly).

                  Comment


                  • #10
                    Originally posted by andy22 View Post

                    Yeah i did not feel like officially backport it to 18.06.1, but the 4.9 package can be build against the 18.x SDK via my package builder (https://github.com/Andy2244/openwrt-package-builder).

                    I'm also not fully happy with the current luci design, but reworking it fully takes too much time atm.

                    PS: Currently i try to switch from external MIT-Kerberos to internal Heimdal.
                    I would really like some form of guided setup script/wizard for Samba in OpenWrt.

                    Comment

                    Working...
                    X